# eric7.EricXML.SpellCheckDictionariesReader

Module to read the web browser spell check dictionaries list file.

### Global Attributes

None

### Classes

SpellCheckDictionariesReader | Class to read the web browser spell check dictionaries list file.

### Functions

None

## SpellCheckDictionariesReader

Class to read the web browser spell check dictionaries list file.

### Derived from

XMLStreamReaderBase

### Class Attributes

supportedVersions

### Class Methods

None

### Methods

SpellCheckDictionariesReader | Constructor
__readDictionary | Private method to read the plug-in info.
readXML | Public method to read and parse the XML document.

### Static Methods

None

#### SpellCheckDictionariesReader (Constructor)

SpellCheckDictionariesReader(data, entryCallback)

Constructor

data
  reference to the data array to read XML from (QByteArray)
entryCallback
  reference to a function to be called once the data for a dictionary has been read (function)

#### SpellCheckDictionariesReader.__readDictionary

__readDictionary()

Private method to read the plug-in info.

#### SpellCheckDictionariesReader.readXML

readXML()

Public method to read and parse the XML document.

Up